Page MenuHomePhabricator

Disappearing Language variant selection in Timeless Skin when the screen (tab) width is not wide enough
Closed, ResolvedPublic

Description

As stated in the title, a local language selection (and all other buttons) without buttons without logos will disappear when the site is loaded in a narrow window. This also affects other words in the title.
The header editing / language selection area will not work when the width of the page is less than a particular width, which, I speculate, would happen when it is quite narrow.
Please see the attached file for details. The black box is used to indicate the problem.

Event Timeline

matmarex renamed this task from Disappearing Language selection in Timeless Skin when the screen (tab) width is not wide enough to Disappearing Language variant selection in Timeless Skin when the screen (tab) width is not wide enough.Jan 29 2018, 11:48 PM

This can also be reproduced in English with $wgUsePigLatinVariant = true.

The links are invisible, but they are still there:

It is weird how one of the links is on the left side, and the other is on the right. This behavior is actually also present in normal widescreen mode, and probably undesirable:

Change 524627 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Move variants and languages into page tools dropdowns

https://gerrit.wikimedia.org/r/524627

Change 524627 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Move variants and languages into page tools dropdowns

https://gerrit.wikimedia.org/r/524627

Isarra closed this task as Resolved.Aug 9 2019, 9:09 PM
Isarra claimed this task.
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Aug 12 2019, 2:56 AM